Create a Cloud Connected cluster.
https://api.elastic-cloud.com
- POST /api/v1/cloud-connected/clusters
Create a Cloud Connected cluster to onboard a self-managed cluster.
Query Parameters
-
create_api_keyboolean · default: false If true, the response will return an API Key with cloud-connected-admin permissions scoped to the cluster being created. This API Key will be revoked when the cluster is disconnected.
Request
Configuration of the Cloud Connected cluster to create.
-
namestring · max: 255 -
Descriptive name for a Cloud Connected cluster.
-
self_managed_clusterSelfManagedClusterrequired -
A self-managed cluster.
-
licenseSelfManagedClusterLicenserequired -
The license of the self-managed cluster
Responses
The Cloud Connected cluster already existed.
-
idstring · pattern: ^[a-z0-9]{32}$required -
ID of the Cloud Connected cluster.
-
namestring · max: 255required -
Descriptive name for a Cloud Connected cluster.
-
metadataClusterMetadatarequired -
Additional details about the Cloud Connected cluster.
-
created_atstringrequired -
Date and time when the cluster was onboarded.
-
created_bystringrequired -
ID of the user.
-
organization_idstring · pattern: ^[a-z0-9]{1,32}$required -
The Organization ID which owns the cluster.
-
self_managed_clusterSelfManagedClusterrequired -
A self-managed cluster.
-
licenseSelfManagedClusterLicenserequired -
The license of the self-managed cluster
-
servicesServicesrequired -
A list of Cloud services that can be enabled for a cluster.
-
auto_opsServiceAutoOpsrequired -
Information about the state and configuration for the AutoOps service
-
enabledbooleanrequired -
whether the AutoOps service is enabled for the cluster
-
supportServiceSupportrequired -
Information about whether a service is supported for a cluster
-
supportedbooleanrequired -
whether the service can be enabled for the cluster
-
valid_license_typesSelfManagedClusterLicenseTyperequired -
list of license types that support the service.
-
Values:
trialbasicstandarddevsilvergoldplatinumenterprise -
minimum_stack_versionstringrequired -
minimum stack version that supports the service.
-
configServiceAutoOpsConfig -
Configuration for the AutoOps service
-
region_idstringrequired -
Unique human-readable identifier for a region in Elastic Cloud.
-
metadataServiceAutoOpsMetadatarequired -
Metadata information for the AutoOps service, including documentation and service URLs
-
documentation_urlstringrequired -
URL to the service documentation
-
service_urlstring -
URL to access the service for this cluster.
-
connect_urlstringrequired -
URL to connect to the service.
-
subscriptionServiceSubscriptionrequired -
Subscription requirements for a service.
-
requiredbooleanrequired -
Whether a subscription is required for this service.
-
eisServiceEISrequired -
Information about the state and configuration for the EIS service
-
enabledbooleanrequired -
whether the EIS service is enabled for the cluster
-
supportServiceSupportrequired -
Information about whether a service is supported for a cluster
-
supportedbooleanrequired -
whether the service can be enabled for the cluster
-
valid_license_typesSelfManagedClusterLicenseTyperequired -
list of license types that support the service.
-
Values:
trialbasicstandarddevsilvergoldplatinumenterprise -
minimum_stack_versionstringrequired -
minimum stack version that supports the service.
-
metadataServiceBaseMetadatarequired -
Base metadata information for a service, including documentation URL
-
documentation_urlstringrequired -
URL to the service documentation
-
subscriptionServiceSubscriptionrequired -
Subscription requirements for a service.
-
requiredbooleanrequired -
Whether a subscription is required for this service.
-
keystring -
The API Key to manage the Cloud Connected cluster.
Response Headers
-
ETagstring
The created Cloud Connected cluster.
-
idstring · pattern: ^[a-z0-9]{32}$required -
ID of the Cloud Connected cluster.
-
namestring · max: 255required -
Descriptive name for a Cloud Connected cluster.
-
metadataClusterMetadatarequired -
Additional details about the Cloud Connected cluster.
-
created_atstringrequired -
Date and time when the cluster was onboarded.
-
created_bystringrequired -
ID of the user.
-
organization_idstring · pattern: ^[a-z0-9]{1,32}$required -
The Organization ID which owns the cluster.
-
self_managed_clusterSelfManagedClusterrequired -
A self-managed cluster.
-
licenseSelfManagedClusterLicenserequired -
The license of the self-managed cluster
-
servicesServicesrequired -
A list of Cloud services that can be enabled for a cluster.
-
keystring -
The API Key to manage the Cloud Connected cluster.
Response Headers
-
ETagstring
Bad request
Unauthorized
Forbidden